###

#

subimage_view
Image View » Algorithms and Utility Functions » Image View Transformations

view of an axis-aligned rectangular area within an image_view More...

## Functions

template<typename View >
View | subimage_view (View const &src, typename View::point_t const &topleft, typename View::point_t const &dimensions)
template<typename View >
View | subimage_view (View const &src, typename View::coord_t x_min, typename View::coord_t y_min, typename View::coord_t width, typename View::coord_t height)
template<typename ... Views>
auto | subimage_view (any_image_view< Views... > const &src, point_t const &topleft, point_t const &dimensions) -> any_image_view< Views... >
template<typename ... Views>
auto | subimage_view (any_image_view< Views... > const &src, std::ptrdiff_t x_min, std::ptrdiff_t y_min, std::ptrdiff_t width, std::ptrdiff_t height) -> any_image_view< Views... >

## Detailed Description

view of an axis-aligned rectangular area within an image_view

## Function Documentation

## subimage_view() [1/2]

auto subimage_view | ( | any_image_view< Views... > const & | src,
|  | point_t const & | topleft,
|  | point_t const & | dimensions
| ) |  | -> any_image_view<Views...>

inline

Template Parameters

  Views | Models Boost.MP11-compatible list of models of ImageViewConcept

## subimage_view() [2/2]

auto subimage_view | ( | any_image_view< Views... > const & | src,
|  | std::ptrdiff_t | x_min,
|  | std::ptrdiff_t | y_min,
|  | std::ptrdiff_t | width,
|  | std::ptrdiff_t | height
| ) |  | -> any_image_view<Views...>

inline

Template Parameters

  Views | Models Boost.MP11-compatible list of models of ImageViewConcept